clear, clc, mode(0), close(winsid()) 

//// Simulace modelu 2.řádu $y_t=0.7u_t+0.6y_{t-1}-0.5u_{t-1}-0.1y_{t-2} +0.2u_{t-2}+e_t$

nd=100;           //počet dat

theta=[0.7 0.6 -0.5 -0.1 0.2]; // vektor regresních koeficientů
r=0.01;           // rozptyl
 
u=rand(1,nd,'n')+2; //řídící vstup - normální se střední hodnotou 2
//u=ones(1,nd);       //vstup  - jednotkový skok

y(1)=5;y(2)=7;     //počáteční podmínky 


for t=3:nd //// cyklus od 3 pro 2.řád
    ps=[u(t) y(t-1)  u(t-1) y(t-2)  u(t-2)];  //regresní vektor
    
    y(t)=theta*ps'+sqrt(r)*rand(1,1,'n');//generování vystupu 
end



//// výsledky
plot(y,'b-p');
plot(u,'r-o');
legend('výstup','vstup');
title('Simulace regresního modelu 2.řádu','fontsize',5)
ylabel('Data','fontsize',5)
xlabel('Čas','fontsize',5)

