clear, clc, mode(0), close(winsid()) 
//// Simulace modelu 1.řádu $y_t=b_0u_t+a_1y_{t-1}+b_1u_{t-1}+k+e_t$
/////Cíl simulace - vygenerovat hodnotu výstupu y_t v čase t - cyklus for


nd=200;           //počet dat

///////parametry - regresní koeficienty
b0=1;  
a1=0.96;            
b1=-0.3;
k=0.1;

theta=[b0 a1 b1 k]; //// vektor regresních koeficientů
r=0.01;            //// parametr - rozptyl



u=sin(50*(1:nd)/nd); //řídící vstup - sinus 

y(1)=1;            //počáteční podmínky 


for t=2:nd // cyklus je od 2 pro model 1.řádu
    ////generování výstupu pomocí rovnice
//   y(t)=b0*u(t)+a1*y(t-1)+b1*u(t-1)+k+sqrt(r)*rand(1,1,'n');
  
  ////generování výstupu regresního vektoru a vektoru regresních koeficientů 
    ps=[u(t) y(t-1)  u(t-1) 1];  //regresní vektor
    y(t)=theta*ps'+sqrt(r)*rand(1,1,'n');//generování y 
//    
//     y(t)=ps*theta'+sqrt(r)*rand(1,1,'n'); /// nebo obráceně  
end







//// výsledky
plot(y,'g-s');
plot(u,'m-s');
legend('výstup','vstup');
title('Simulace regresního modelu 1.řádu','fontsize',5)
ylabel('Data','fontsize',5)
xlabel('Čas','fontsize',5)



